Ubuntu

invisible window again

Reported by Omer Akram on 2011-04-09
354
This bug affects 64 people
Affects Status Importance Assigned to Milestone
Unity
High
Sam Spilsbury
compiz (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity

with latest version of unity and compiz i still have the invisible window, also attached the video as Neil asked to.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.4-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,resize,grid,compiztoolbox,place,imgpng,regex,unitymtgrabhandles,animation,expo,mousepoll,session,snap,vpswitch,wall,workarounds,gnomecompat,move,ezoom,staticswitcher,fade,scale,unityshell]
Date: Sat Apr 9 16:20:08 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110324)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)

Omer Akram (om26er) wrote :
description: updated
Omer Akram (om26er) wrote :

xwininfo

Neil J. Patel (njpatel) on 2011-04-09
Changed in unity:
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
importance: Undecided → Critical
milestone: none → 3.8.6
status: New → Confirmed

I need the xwininfo of the invisible window as well.

On Sat, Apr 9, 2011 at 7:43 PM, Omer Akram <email address hidden> wrote:
> ** Also affects: unity
>   Importance: Undecided
>       Status: New
>
> ** Also affects: compiz (Ubuntu)
>   Importance: Undecided
>       Status: New
>
> --
> You received this bug notification because you are a member of Unity
> Bugs, which is subscribed to unity.
> https://bugs.launchpad.net/bugs/755459
>
> Title:
>  invisible window again
>
> Status in Unity:
>  New
> Status in “compiz” package in Ubuntu:
>  New
> Status in “unity” package in Ubuntu:
>  New
>
> Bug description:
>  Binary package hint: unity
>
>  with latest version of unity and compiz i still have the invisible
>  window, also attached the video as Neil asked to.
>
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.8.4-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic i686
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,resize,grid,compiztoolbox,place,imgpng,regex,unitymtgrabhandles,animation,expo,mousepoll,session,snap,vpswitch,wall,workarounds,gnomecompat,move,ezoom,staticswitcher,fade,scale,unityshell]
>  Date: Sat Apr  9 16:20:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110324)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: unity
>  UpgradeStatus: No upgrade log present (probably fresh install)
>

--
Sam Spilsbury

Tom Adams (holizz) wrote :

xwininfo: Window id: 0x10004c4 (has no name)

  Absolute upper-left X: 438
  Absolute upper-left Y: 299
  Relative upper-left X: 438
  Relative upper-left Y: 299
  Width: 502
  Height: 222
  Depth: 0
  Visual: 0x21
  Visual Class: TrueColor
  Border width: 0
  Class: InputOnly
  Colormap: 0x0 (not installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: yes
  Corners: +438+299 -426+299 -426-247 +438-247
  -geometry 502x222+438+299

Didier Roche (didrocks) on 2011-04-11
Changed in unity:
milestone: 3.8.6 → 3.8.8
Didier Roche (didrocks) on 2011-04-11
Changed in unity (Ubuntu):
status: New → Confirmed
Sam Spilsbury (smspillaz) wrote :

Just an FYI, omer and I are working to get to the bottom of this. Its difficult though since nobody in DX can reproduce the problem.

Didier Roche (didrocks) on 2011-04-14
Changed in unity:
milestone: 3.8.8 → 3.8.10
Mohsin Falak (fi8er1) on 2011-04-14
Changed in compiz (Ubuntu):
status: New → Confirmed
kcolrucs (starfox45601) wrote :

I too am having this problem, or at least I believe so. It affects the majority of the lower area of my desktop and affects all other applications running too. For instance, I can't scroll using firefox while hovering over this area. I can't paint in Gimp, I can't properly edit in Blender, etc... Running Natty 11.04 Beta 2 at the moment now. This don't affect classic gnome without effects at all. I can't vouche for classic gnome with effects enabled because I haven't used it.

Juozas Pocius (juozaspo) wrote :

I have this bug affecting me too. and my version is 3.8.8-0ubuntu2 as shown in
# dpkg -l unity
Though it doesn't occur all time, and i frequently using terminal, etc. And running Natty 11.04 Latest Beta as it is.

Sam Spilsbury (smspillaz) wrote :

Just an FYI for everyone, we think we may have a fix for this ... will
push it in the next upload.

On Sun, Apr 17, 2011 at 11:21 PM, Juozas Pocius
<email address hidden> wrote:
> I have this bug affecting me too. and my version is 3.8.8-0ubuntu2 as shown in
> # dpkg -l unity
> Though it doesn't occur all time, and i frequently using terminal, etc. And running Natty 11.04 Latest Beta as it is.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/755459
>
> Title:
>  invisible window again
>
> Status in Unity:
>  Confirmed
> Status in “compiz” package in Ubuntu:
>  Confirmed
> Status in “unity” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Binary package hint: unity
>
>  with latest version of unity and compiz i still have the invisible
>  window, also attached the video as Neil asked to.
>
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.8.4-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic i686
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,resize,grid,compiztoolbox,place,imgpng,regex,unitymtgrabhandles,animation,expo,mousepoll,session,snap,vpswitch,wall,workarounds,gnomecompat,move,ezoom,staticswitcher,fade,scale,unityshell]
>  Date: Sat Apr  9 16:20:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110324)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: unity
>  UpgradeStatus: No upgrade log present (probably fresh install)
>

--
Sam Spilsbury

Didier Roche (didrocks) on 2011-04-18
Changed in unity:
status: Confirmed → Fix Committed
Didier Roche (didrocks) on 2011-04-19
Changed in unity:
status: Fix Committed → In Progress
Changed in compiz (Ubuntu):
status: Confirmed → Fix Committed
Didier Roche (didrocks) on 2011-04-19
Changed in unity (Ubuntu):
status: Confirmed → In Progress
Didier Roche (didrocks) on 2011-04-19
Changed in unity:
milestone: 3.8.10 → 3.8.12
David Barth (dbarth) wrote :

@Sam: same process, I want a new test case for this one. We already have guidelines for testing regressions (if not complete, since this one passed through again). Link the merge proposal to the bug report please also. Thanks

Didier Roche (didrocks) on 2011-04-22
Changed in unity:
milestone: 3.8.12 → 3.8.14
Sam Spilsbury (smspillaz) wrote :

The same reporter is still getting the bug (albeit less often) with my
fix, so we're still working through that one.

On Fri, Apr 22, 2011 at 4:05 PM, David Barth <email address hidden> wrote:
> @Sam: same process, I want a new test case for this one. We already have
> guidelines for testing regressions (if not complete, since this one
> passed through again). Link the merge proposal to the bug report please
> also. Thanks
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/755459
>
> Title:
>  invisible window again
>
> Status in Unity:
>  In Progress
> Status in “compiz” package in Ubuntu:
>  Fix Committed
> Status in “unity” package in Ubuntu:
>  In Progress
>
> Bug description:
>  Binary package hint: unity
>
>  with latest version of unity and compiz i still have the invisible
>  window, also attached the video as Neil asked to.
>
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.8.4-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic i686
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,resize,grid,compiztoolbox,place,imgpng,regex,unitymtgrabhandles,animation,expo,mousepoll,session,snap,vpswitch,wall,workarounds,gnomecompat,move,ezoom,staticswitcher,fade,scale,unityshell]
>  Date: Sat Apr  9 16:20:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110324)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: unity
>  UpgradeStatus: No upgrade log present (probably fresh install)
>

--
Sam Spilsbury

David Barth (dbarth) on 2011-04-22
Changed in unity:
importance: Critical → High

I can also confirm that this bug is impacting my system. Plus, the window seems to 'wander' a bit. I've noticed it change size and shape a few times in the past hour or so.

kcolrucs (starfox45601) wrote :

This bug has went away for awhile at least in my case, but it just came back for some odd reason...

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0xe03680 (has no name)

  Root window id: 0x1ad (the root window) (has no name)
  Parent window id: 0x1ad (the root window) (has no name)
     0 children.

  Absolute upper-left X: 347
  Absolute upper-left Y: 299
  Relative upper-left X: 347
  Relative upper-left Y: 299
  Width: 342
  Height: 222
  Depth: 0
  Visual: 0x21
  Visual Class: TrueColor
  Border width: 0
  Class: InputOnly
  Colormap: 0x0 (not installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: yes
  Corners: +347+299 -335+299 -335-247 +347-247
  -geometry 342x222+347+299

  Bit gravity: ForgetGravity
  Window gravity: NorthWestGravity
  Backing-store hint: NotUseful
  Backing-planes to be preserved: 0xffffffff
  Backing pixel: 0
  Save-unders: No

  Someone wants these events:
      EnterWindow
      StructureNotify
      FocusChange
      PropertyChange
  Do not propagate these events:
  Override redirection?: Yes

  No window manager hints defined
  Window manager hints:
      Process id: (unknown)

  No normal window size hints defined
  No zoom window size hints defined

  No window shape defined
  No border shape defined

Tobias Bradtke (webwurst) wrote :

This bug happens nearly all the time when i minimize windows. It is similar to bug #709461, but i can resize and move this invisible windows. The attached screenshot was made after logging into Ubuntu, Empathy being launched minimized automatically.

Tobias Bradtke (webwurst) wrote :
Tobias Bradtke (webwurst) wrote :
Maciej Chudak (macioosch) wrote :

Hi, I installed a fresh Natty on it's release day, and since this bug also affects me.

xwininfo: Window id: 0xe0151d (has no name)

  Absolute upper-left X: 715
  Absolute upper-left Y: 375
  Relative upper-left X: 715
  Relative upper-left Y: 375
  Width: 502
  Height: 382
  Depth: 0
  Visual: 0x23
  Visual Class: TrueColor
  Border width: 0
  Class: InputOnly
  Colormap: 0x0 (not installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: yes
  Corners: +715+375 -703+375 -703-323 +715-323
  -geometry 502x382+715+375

Juozas Pocius (juozaspo) wrote :

******@Ubuntu:~$ xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0xc00c37 (has no name)

  Absolute upper-left X: 267
  Absolute upper-left Y: 299
  Relative upper-left X: 267
  Relative upper-left Y: 299
  Width: 502
  Height: 222
  Depth: 0
  Visual: 0x21
  Visual Class: TrueColor
  Border width: 0
  Class: InputOnly
  Colormap: 0x0 (not installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: yes
  Corners: +267+299 -255+299 -255-247 +267-247
  -geometry 502x222+267+299

eros2 (eros2) wrote :

Is any workaround exist for this bug? Very annoying...
I tried set some properties to this invisible window with xprop, but no effect, window still unmovable, etc...

I have seen this error on three different systems. I have a corei-7 desktop with Nvidia Graphics and the closed source driver, My System76 Starling Netbook and another friends laptop have had this problem. The invisible window also seems to be in different places from time to time. Sorry i can't be more descriptive. I have been searching Google for this one and I am glad i found this. Love Unity

Changed in unity:
milestone: 3.8.14 → 3.8.16
Adnane Belmadiaf (daker) wrote :

I have the same issue

daker@daker-p6630fr-m:~$ xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0xe061a8 (has no name)

  Absolute upper-left X: 435
  Absolute upper-left Y: 219
  Relative upper-left X: 435
  Relative upper-left Y: 219
  Width: 502
  Height: 382
  Depth: 0
  Visual: 0x23
  Visual Class: TrueColor
  Border width: 0
  Class: InputOnly
  Colormap: 0x0 (not installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: yes
  Corners: +435+219 -423+219 -423-167 +435-167
  -geometry 502x382+435+219

Sam Spilsbury (smspillaz) wrote :

anybody still able to reproduce this fairly easy or regularly? I have some debugging debs that people can try out

Tom Adams (holizz) wrote :

Sam: I can still reproduce in Oneiric, and I'm happy to try anything to get it fixed.

Sam Spilsbury (smspillaz) wrote :

Sweet,

Have a look at http://smspillaz.wordpress.com/2011/06/05/anybody-still-getting-bug-709461/

Make sure its not the same as the "invisible window in the area where
the switcher used to be" issue. That's a different bug.

On Sun, Jun 5, 2011 at 11:12 PM, Tom Adams <email address hidden> wrote:
> Sam: I can still reproduce in Oneiric, and I'm happy to try anything to
> get it fixed.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/755459
>
> Title:
>  invisible window again
>
> Status in Unity:
>  In Progress
> Status in “compiz” package in Ubuntu:
>  Fix Committed
> Status in “unity” package in Ubuntu:
>  In Progress
>
> Bug description:
>  Binary package hint: unity
>
>  with latest version of unity and compiz i still have the invisible
>  window, also attached the video as Neil asked to.
>
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.8.4-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic i686
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,resize,grid,compiztoolbox,place,imgpng,regex,unitymtgrabhandles,animation,expo,mousepoll,session,snap,vpswitch,wall,workarounds,gnomecompat,move,ezoom,staticswitcher,fade,scale,unityshell]
>  Date: Sat Apr  9 16:20:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110324)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: unity
>  UpgradeStatus: No upgrade log present (probably fresh install)
>

--
Sam Spilsbury

Tom Adams (holizz) wrote :

Sam:

bzr bd failed. It complains about /usr/lib/cdbs/strip-schema.pl not existing (cdbs is installed), but I think what killed it was /usr/share/gnome-control-center/keybindings/50-metacity-desktop-key.xml not existing.

Is this designed to build on natty or oneiric? I'm using oneiric.

Sam Spilsbury (smspillaz) wrote :

Ah yes, it wouldn't work on oneric since the metacity keybindings in
gnome-control-center were removed. I'll have to make a new package
which disregards that when I get time.

On Mon, Jun 6, 2011 at 1:16 AM, Tom Adams <email address hidden> wrote:
> Sam:
>
> bzr bd failed. It complains about /usr/lib/cdbs/strip-schema.pl not
> existing (cdbs is installed), but I think what killed it was /usr/share
> /gnome-control-center/keybindings/50-metacity-desktop-key.xml not
> existing.
>
> Is this designed to build on natty or oneiric? I'm using oneiric.
>
> ** Attachment added: "Output of "bzr bd" in compiz.spew"
>   https://bugs.launchpad.net/ubuntu/+source/unity/+bug/755459/+attachment/2156014/+files/bzr-bd.txt
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/755459
>
> Title:
>  invisible window again
>
> Status in Unity:
>  In Progress
> Status in “compiz” package in Ubuntu:
>  Fix Committed
> Status in “unity” package in Ubuntu:
>  In Progress
>
> Bug description:
>  Binary package hint: unity
>
>  with latest version of unity and compiz i still have the invisible
>  window, also attached the video as Neil asked to.
>
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.8.4-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic i686
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,resize,grid,compiztoolbox,place,imgpng,regex,unitymtgrabhandles,animation,expo,mousepoll,session,snap,vpswitch,wall,workarounds,gnomecompat,move,ezoom,staticswitcher,fade,scale,unityshell]
>  Date: Sat Apr  9 16:20:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110324)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: unity
>  UpgradeStatus: No upgrade log present (probably fresh install)
>

--
Sam Spilsbury

Sam Spilsbury (smspillaz) wrote :

You can, however, build compiz from source and try that.

On Mon, Jun 6, 2011 at 1:44 AM, Sam Spilsbury <email address hidden> wrote:
> Ah yes, it wouldn't work on oneric since the metacity keybindings in
> gnome-control-center were removed. I'll have to make a new package
> which disregards that when I get time.
>
> On Mon, Jun 6, 2011 at 1:16 AM, Tom Adams <email address hidden> wrote:
>> Sam:
>>
>> bzr bd failed. It complains about /usr/lib/cdbs/strip-schema.pl not
>> existing (cdbs is installed), but I think what killed it was /usr/share
>> /gnome-control-center/keybindings/50-metacity-desktop-key.xml not
>> existing.
>>
>> Is this designed to build on natty or oneiric? I'm using oneiric.
>>
>> ** Attachment added: "Output of "bzr bd" in compiz.spew"
>>   https://bugs.launchpad.net/ubuntu/+source/unity/+bug/755459/+attachment/2156014/+files/bzr-bd.txt
>>
>> --
>> You received this bug notification because you are a bug assignee.
>> https://bugs.launchpad.net/bugs/755459
>>
>> Title:
>>  invisible window again
>>
>> Status in Unity:
>>  In Progress
>> Status in “compiz” package in Ubuntu:
>>  Fix Committed
>> Status in “unity” package in Ubuntu:
>>  In Progress
>>
>> Bug description:
>>  Binary package hint: unity
>>
>>  with latest version of unity and compiz i still have the invisible
>>  window, also attached the video as Neil asked to.
>>
>>
>>  ProblemType: Bug
>>  DistroRelease: Ubuntu 11.04
>>  Package: unity 3.8.4-0ubuntu1
>>  ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
>>  Uname: Linux 2.6.38-8-generic i686
>>  Architecture: i386
>>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,resize,grid,compiztoolbox,place,imgpng,regex,unitymtgrabhandles,animation,expo,mousepoll,session,snap,vpswitch,wall,workarounds,gnomecompat,move,ezoom,staticswitcher,fade,scale,unityshell]
>>  Date: Sat Apr  9 16:20:08 2011
>>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110324)
>>  ProcEnviron:
>>   LANGUAGE=en_US:en
>>   LANG=en_US.UTF-8
>>   SHELL=/bin/bash
>>  SourcePackage: unity
>>  UpgradeStatus: No upgrade log present (probably fresh install)
>>
>
>
>
> --
> Sam Spilsbury
>

--
Sam Spilsbury

David Barth (dbarth) wrote :

Not an SRU target. This is more of a long term fix

Changed in unity:
milestone: 3.8.16 → none
tags: added: backlog
Tim Tierney (timtierney) on 2011-06-12
Changed in compiz (Ubuntu):
status: Fix Committed → In Progress
joopbraak (joopbraak) wrote :

Tim, why is this fix (if it is one) still not released ?

Tim Tierney (timtierney) wrote :

You know what? I might have changed its status in error and didn't realize it. The bug seems to have gone away for me. Sorry guys.

eros2 (eros2) wrote :

Bug still here, however it appearing much rare and invisible window position slightly moved upper.

eugene@eugene:~$ xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x10041fb (has no name)

  Absolute upper-left X: 420
  Absolute upper-left Y: 434
  Relative upper-left X: 420
  Relative upper-left Y: 434
  Width: 1092
  Height: 241
  Depth: 0
  Visual: 0x21
  Visual Class: TrueColor
  Border width: 0
  Class: InputOnly
  Colormap: 0x0 (not installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: yes
  Corners: +420+434 -408+434 -408-405 +420-405
  -geometry 1092x241+420+434

Omer Akram (om26er) wrote :

I have not faced this bug for quite a while, I know its not fixed but
now it occurs much less

On Tue, Jul 19, 2011 at 11:26 AM, eros2 <email address hidden> wrote:
> Bug still here, however it appearing much rare and invisible window
> position slightly moved upper.
>
> eugene@eugene:~$ xwininfo
>
> xwininfo: Please select the window about which you
>          would like information by clicking the
>          mouse in that window.
>
> xwininfo: Window id: 0x10041fb (has no name)
>
>  Absolute upper-left X:  420
>  Absolute upper-left Y:  434
>  Relative upper-left X:  420
>  Relative upper-left Y:  434
>  Width: 1092
>  Height: 241
>  Depth: 0
>  Visual: 0x21
>  Visual Class: TrueColor
>  Border width: 0
>  Class: InputOnly
>  Colormap: 0x0 (not installed)
>  Bit Gravity State: ForgetGravity
>  Window Gravity State: NorthWestGravity
>  Backing Store State: NotUseful
>  Save Under State: no
>  Map State: IsViewable
>  Override Redirect State: yes
>  Corners:  +420+434  -408+434  -408-405  +420-405
>  -geometry 1092x241+420+434
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/755459
>
> Title:
>  invisible window again
>
> Status in Unity:
>  In Progress
> Status in “compiz” package in Ubuntu:
>  In Progress
> Status in “unity” package in Ubuntu:
>  In Progress
>
> Bug description:
>  Binary package hint: unity
>
>  with latest version of unity and compiz i still have the invisible
>  window, also attached the video as Neil asked to.
>
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.8.4-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic i686
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,resize,grid,compiztoolbox,place,imgpng,regex,unitymtgrabhandles,animation,expo,mousepoll,session,snap,vpswitch,wall,workarounds,gnomecompat,move,ezoom,staticswitcher,fade,scale,unityshell]
>  Date: Sat Apr  9 16:20:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110324)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: unity
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/755459/+subscriptions
>

Adnane Belmadiaf (daker) wrote :

Me too the invisible window disappeared.

quent57 (quent57) wrote :

Same probleme with a natty up to date :
happen 1 days after boot (uptime = 22h)

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x3d24f88 (has no name)

  Absolute upper-left X: 947
  Absolute upper-left Y: 487
  Relative upper-left X: 947
  Relative upper-left Y: 487
  Width: 182
  Height: 248
  Depth: 24
  Visual: 0x21
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: yes
  Map State: IsViewable
  Override Redirect State: yes
  Corners: +947+487 -791+487 -791-345 +947-345
  -geometry 182x248+947+487

Thank's

quent57 (quent57) wrote :

Very strange, xkill do nothing.

quent57 (quent57) wrote :

quentin@quentin-desktop:~$ xkill # I clic on the invisible window
Select the window whose client you wish to kill with button 1....
quentin@quentin-desktop:~$

sudo xkill is not better

quent57 (quent57) wrote :

Sorry for the spam.
The invisble window was over all applications, I have verified it with eclipse and gnome-terminal.
I have close 3 or 4 applications : gedit, empathy, tomcat, eclipse. And the invisible zone vanished....
strange

eros2 (eros2) wrote :

> strange

It's normal for this bug, this invisible window unkillable, uncloseable, unmovable, un, un, un, etc... ))

Well, "show desktop" (ctrl-alt-d) may get rid of this window for some time.
"compiz --replace" helps too.

Guillaume (gufide-g) wrote :

I alway get this bug when I check the case show preview for minimized window. When I minimize them, the focus still on this window and it get invisible, over all window, and I can resize it, move it and use widget on it. Sometime it get corrupted and I had to make unity --replace

Sam Spilsbury (smspillaz) wrote :

On Tue, Aug 30, 2011 at 7:24 AM, Guillaume <email address hidden> wrote:
> I alway get this bug when I check the case show preview for minimized
> window. When I minimize them, the focus still on this window and it get
> invisible, over all window, and I can resize it, move it and use widget
> on it. Sometime it get corrupted and I had to make unity --replace

Don't use the option in the workarounds plugin. It's broken.

>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/755459
>
> Title:
>  invisible window again
>
> Status in Unity:
>  In Progress
> Status in “compiz” package in Ubuntu:
>  In Progress
> Status in “unity” package in Ubuntu:
>  In Progress
>
> Bug description:
>  Binary package hint: unity
>
>  with latest version of unity and compiz i still have the invisible
>  window, also attached the video as Neil asked to.
>
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.8.4-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic i686
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,resize,grid,compiztoolbox,place,imgpng,regex,unitymtgrabhandles,animation,expo,mousepoll,session,snap,vpswitch,wall,workarounds,gnomecompat,move,ezoom,staticswitcher,fade,scale,unityshell]
>  Date: Sat Apr  9 16:20:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110324)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: unity
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/755459/+subscriptions
>

--
Sam Spilsbury

Cas (calumlind) wrote :

I have not seen this invisible window in Natty for some time now however while recently testing with Oneiric a large invisible window appeared. I found the edge of the window and it disappeared when I resized it.

Sam Spilsbury (smspillaz) wrote :

If this was after you minimized a window that's a different bug and
will be fixed in the next xserver upload.

On Sun, Sep 18, 2011 at 9:13 PM, Cas <email address hidden> wrote:
> I have not seen this invisible window in Natty for some time now however
> while recently testing with Oneiric a large invisible window appeared. I
> found the edge of the window and it disappeared when I resized it.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/755459
>
> Title:
>  invisible window again
>
> Status in Unity:
>  In Progress
> Status in “compiz” package in Ubuntu:
>  In Progress
> Status in “unity” package in Ubuntu:
>  In Progress
>
> Bug description:
>  Binary package hint: unity
>
>  with latest version of unity and compiz i still have the invisible
>  window, also attached the video as Neil asked to.
>
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.8.4-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic i686
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,resize,grid,compiztoolbox,place,imgpng,regex,unitymtgrabhandles,animation,expo,mousepoll,session,snap,vpswitch,wall,workarounds,gnomecompat,move,ezoom,staticswitcher,fade,scale,unityshell]
>  Date: Sat Apr  9 16:20:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110324)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: unity
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/755459/+subscriptions
>

--
Sam Spilsbury

gluxon (bcheng-gt) wrote :

My Pidgin Buddy List is invisible every time it's opened. Perhaps my Pidgin profile or the Pidgin itself could help the developers reproduce the bug? I'm running the latest Oneiric and Pidgin build.

ngc2997 (ngc2997) wrote :

Hm, I also ran across the "Pidgin not showing up" bug, but is that actually the same as the original bug discussed here? To me, this seems to be a matter of unity not recognizing correctly that it should display Pidgin when clicking its icon in the dash (assuming it is already visible).

Omer Akram (om26er) wrote :

@smspillaz, could we now just close this bug? Its is gone.

Sam Spilsbury (smspillaz) wrote :

\o/

On Sun, Oct 16, 2011 at 9:28 PM, Omer Akram <email address hidden> wrote:
> @smspillaz, could we now just close this bug? Its is gone.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/755459
>
> Title:
>  invisible window again
>
> Status in Unity:
>  In Progress
> Status in “compiz” package in Ubuntu:
>  In Progress
> Status in “unity” package in Ubuntu:
>  In Progress
>
> Bug description:
>  Binary package hint: unity
>
>  with latest version of unity and compiz i still have the invisible
>  window, also attached the video as Neil asked to.
>
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.8.4-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic i686
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,resize,grid,compiztoolbox,place,imgpng,regex,unitymtgrabhandles,animation,expo,mousepoll,session,snap,vpswitch,wall,workarounds,gnomecompat,move,ezoom,staticswitcher,fade,scale,unityshell]
>  Date: Sat Apr  9 16:20:08 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110324)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SourcePackage: unity
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/755459/+subscriptions
>

--
Sam Spilsbury

Changed in unity:
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: In Progress → Fix Committed
Changed in compiz (Ubuntu):
status: In Progress → Fix Committed
Sam Spilsbury (smspillaz) wrote :

Ok, marking fix committed. If you get it again please reopen.

Tim Penhey (thumper) on 2011-11-06
Changed in unity:
status: Fix Committed → Fix Released
Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity (Ubuntu):
status: Fix Committed → Fix Released

I've got this problem with Eclipse, and sometimes with the chat app. It does not seem to be solved in Oneiric yet.

Matt Price (matt-price) wrote :

I htink I'm seeing this bug or something similar in oneiric, just reported as a new bug:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/921094

compiz --replace seems to make the window go away. Is there more info somewhere on what causes the bug and how to stop it from occurring?

Tom Schönlau (joyce-666) wrote :

Bug is still there... using 12.04. i can visualize and activate the window in the window switcher with ALT+TAB, but it's invisible, when I switch to it. It's a Firefox window. Previously I was extrem-twiddeling with the Unity window/screen switcher thingy.

Ngassam Nkwenga (cyrildz) wrote :

I can confirme this, I got it yesterday too.

Thilo Uttendorfer (t-lo) wrote :

I can confirm, I got exactly the same bug like Tom described in comment #50. I'm using Ubuntu 12.04 64bit:
compiz - 1:0.9.7.12-0ubuntu1
firefox - 20.0+build1-0ubuntu0.12.04.3
unity - 5.18.0-0ubuntu2
xserver-xorg - 1:7.6+12ubuntu2

"compiz --replace" seems to solve that problem, at least in my case.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers